UnitTest Class Reference
Inheritance diagram for UnitTest:
[legend]
Collaboration diagram for UnitTest:
[legend]

## Public Member Functions

| UnitTest (const char *title)
void | test ()
int | getPassCount ()
int | getFailureCount ()
const std::string | getTitle () const
| UnitTest (const char *title)
void | test ()
int | getPassCount ()
int | getFailureCount ()
const std::string | getTitle () const

## Protected Attributes

std::string | m_title
int | m_failures
int | m_testNum

## Detailed Description

Definition at line 20 of file MemoryMapArrayTest.h.

## Constructor & Destructor Documentation

## UnitTest() [1/2]

UnitTest::UnitTest | ( | const char * | title | ) |

inline

Definition at line 28 of file MemoryMapArrayTest.h.

: m_title(title), m_failures(0), m_testNum(0) {;};

## UnitTest() [2/2]

UnitTest::UnitTest | ( | const char * | title | ) |

inline

Definition at line 32 of file UnitTest.h.

: m_title(title), m_failures(0), m_testNum(0) {;};

## Member Function Documentation

## getFailureCount() [1/2]

int UnitTest::getFailureCount | ( |  | ) |

inline

Definition at line 31 of file MemoryMapArrayTest.h.

{return m_failures;}

## getFailureCount() [2/2]

int UnitTest::getFailureCount | ( |  | ) |

inline

Definition at line 35 of file UnitTest.h.

{return m_failures;}

## getPassCount() [1/2]

int UnitTest::getPassCount | ( |  | ) |

inline

Definition at line 30 of file MemoryMapArrayTest.h.

{return m_testNum - m_failures;}

## getPassCount() [2/2]

int UnitTest::getPassCount | ( |  | ) |

inline

Definition at line 34 of file UnitTest.h.

{return m_testNum - m_failures;}

## getTitle() [1/2]

const std::string UnitTest::getTitle | ( |  | ) | const

inline

Definition at line 32 of file MemoryMapArrayTest.h.

{return m_title;}

## getTitle() [2/2]

const std::string UnitTest::getTitle | ( |  | ) | const

inline

Definition at line 36 of file UnitTest.h.

{return m_title;}

## Member Data Documentation

## m_failures

int UnitTest::m_failures

protected

Definition at line 24 of file MemoryMapArrayTest.h.

## m_testNum

int UnitTest::m_testNum

protected

Definition at line 25 of file MemoryMapArrayTest.h.

## m_title

std::string UnitTest::m_title

protected

Definition at line 23 of file MemoryMapArrayTest.h.

The documentation for this class was generated from the following files:

- general/test/memoryMapArrayTest/MemoryMapArrayTest.h
- general/UnitTest.h